<div class="relative flex flex-auto w-full bg-card dark:bg-transparent">
    <mat-drawer-container class="flex-auto h-full">
        <mat-drawer-content class="flex overflow-hidden">
            <div class="flex w-full">
                <div class="flex-none w-72">
                    <div class="relative flex flex-auto flex-col w-full min-w-0 lg:min-w-100 lg:max-w-100 bg-card dark:bg-transparent">
                        <!-- Header -->
                        <div class="flex flex-col flex-0 py-4 px-8 border-b bg-gray-50 dark:bg-transparent">
                            <div class="flex items-center">
                                <div class="ml-4 font-medium truncate">ค้นหาประวัติจากบัตรประชาชน</div>
                            </div>

                            <!-- Search -->
                            <div class="mt-4">
                                <mat-form-field class="fuse-mat-rounded fuse-mat-dense w-full" [subscriptSizing]="'dynamic'">
                                    <mat-icon matPrefix class="icon-size-5"
                                        [svgIcon]="'heroicons_solid:magnifying-glass'"></mat-icon>
                                    <input matInput [autocomplete]="'off'" [placeholder]="'Search'"
                                        (keyup.enter)="search_cid(searchField.value)" #searchField>
                                </mat-form-field>
                            </div>

                        </div>

                        <div class="flex overflow-y-auto">
                            <div class="grid grid-cols-1 sm:grid-cols-1 w-full min-w-0 py-4 px-8">
                                <div class="flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                                    <div class="flex items-start justify-between">
                                        <div class="ml-2 -mt-2 -mr-3">
                                            <div class="flex items-start justify-between">
                                                <div class="text-lg font-medium tracking-tight leading-6 truncate">หน่วยบริการ
                                                </div>
                                            </div>
                                            <div class="flex flex-col">
                                                <div class="flex-col h-32 bg-white p-2 overflow-y-auto">
                                                    <div class="text-1xl font-medium text-blue-600 dark:text-blue-500">
                                                        <div *ngIf="hospitals.length == 0">ไม่พบข้อมูล</div>
                                                        <div *ngFor="let hosp of hospitals" class>
                                                            <div *ngIf="select_hospcode == hosp.hospcode"
                                                                class="text-black cursor-pointer bg-teal-200 select-none"
                                                                (click)="search_hospital(hosp.hospcode)">{{hosp.name}}
                                                                ({{hosp.total}})</div>
                                                            <div *ngIf="select_hospcode != hosp.hospcode"
                                                                class="text-black cursor-pointer hover:bg-teal-100 select-none"
                                                                (click)="search_hospital(hosp.hospcode)">{{hosp.name}}
                                                                ({{hosp.total}})</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="flex overflow-y-auto">
                            <div class="grid grid-cols-1 sm:grid-cols-1 w-full min-w-0 py-4 px-8">
                                <div class="flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                                    <div class="flex items-start justify-between">
                                        <div class="ml-2 -mt-2 -mr-3">
                                            <div class="flex items-start justify-between">
                                                <div class="text-lg font-medium tracking-tight leading-6 truncate">
                                                    วันที่มารับบริการ</div>
                                            </div>
                                            <div class="flex flex-col">
                                                <div class="flex-col h-32 bg-white p-2 overflow-y-auto">
                                                    <div class="text-1xl font-medium text-blue-600 dark:text-blue-500">
                                                        <div *ngIf="visits.length == 0">ไม่พบข้อมูล</div>
                                                        <div *ngFor="let v of visits" class>
                                                            <div *ngIf="select_visit == v.vn"
                                                                class="text-black cursor-pointer bg-teal-200 select-none"
                                                                (click)="search_visit(v)">
                                                                {{v.clinic}}: ({{v.date}} {{v.time}})</div>
                                                            <div *ngIf="select_visit != v.vn"
                                                                class="text-black cursor-pointer hover:bg-teal-100 select-none"
                                                                (click)="search_visit(v)">{{v.clinic}}: ({{v.date}} {{v.time}})
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA -->
                <div class="grow">
                    <div class="flex flex-col flex-auto min-w-0">
                        <div class="bg-card">
                            <div class="flex flex-col w-full max-w-screen-xl mx-auto px-6 sm:px-8">
                                <div class="flex flex-col sm:flex-row flex-auto sm:items-center min-w-0 my-8 sm:my-8">
                                    <div class="flex flex-auto items-center min-w-0">
                                        <div class="flex-0 w-16 h-16 rounded-full overflow-hidden">
                                            <img class="w-full h-full object-cover"
                                                src="assets/images/avatars/brian-hughes.jpg">
                                        </div>
                                        <div class="flex flex-col min-w-0 ml-4">
                                            <div
                                                class="text-2xl md:text-3xl font-semibold tracking-tight leading-7 md:leading-snug truncate mb-2">
                                                {{patient.first_name}} {{patient.last_name}}</div>
                                            <div class="flex items-center mb-1">
                                                <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:bell'"></mat-icon>
                                                <div class="ml-1.5 leading-6 truncate text-secondary">
                                                    <span class="text-2xl content-center pr-2"> เพศ {{patient.sex}}
                                                        สิทธิ์การรักษา
                                                        {{patient.pttype_name}}</span>
                                                    <span class="text-2xl content-center pr-2">วันที่มารับบริการ
                                                        {{selected_dateserv}} เวลา
                                                        {{selected_timeserv }} คลินิก {{selected_namecln}} </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="flex-auto border-t -mt-px pt-4 sm:pt-6">
                            <div class="w-11/12 max-w-screen-xl mx-auto">
                                <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-4 gap-2 w-full min-w-0">
                                    <!-- Task distribution -->
                                    <div
                                        class="sm:col-span-2 md:col-span-4 lg:col-span-2 flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                                        <div class="flex flex-col flex-auto h-64 overflow-y-auto">
                                            <div class="h-full">
                                                <div class="w-full"><span class="font-bold">CC:</span> {{cc}}</div>
                                                <div class="w-full"><span class="font-bold">PI:</span> {{pi}}</div>
                                                <div class="w-full"><span class="font-bold">PH:</span> {{ph}}</div>
                                                <div class="w-full"><span class="font-bold">PE:</span> {{pe}}</div>
                                                <div class="w-full ">
                                                    <span class="font-bold">V/S:</span>
                                                    <span class="mx-1">BW: {{wt}} kg</span>
                                                    <span class="mx-1">ส่วนสูง: {{ht}} cm</span>
                                                    <span class="mx-1">Temp: {{bt}} c</span>
                                                    <span class="mx-1">BP: {{sbp}}/{{dbp}} mmHg</span>
                                                    <span class="mx-1">PR: {{pr}} /min</span>
                                                    <span class="mx-1">RR: {{rr}} /min</span>
                                                    <span class="mx-1">BMI: {{bmi}} /min</span>
                                                    <span class="mx-1">o2sat: {{o2sat}} /min</span>
                                                    <span class="mx-1">eye_score: {{eye_score}} /min</span>
                                                    <span class="mx-1">gcs_score: {{gcs_score}} /min</span>
                                                </div>
                                                <hr>
                                                <div class="w-full">
                                                    <span class="font-bold">ประวัติการได้ยา: </span><br>
                                                    <button mat-icon-button (click)="change_layout()" class="mr-2 bg-rose-300">
                                                        <mat-icon *ngIf="!is_admit" class="text-white"
                                                            svgIcon="heroicons_solid:clipboard-document-list"></mat-icon>
                                                        <mat-icon *ngIf="is_admit" class="text-white"
                                                            svgIcon="heroicons_solid:view-columns"></mat-icon>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="sm:col-span-2 md:col-span-4 lg:col-span-2 flex flex-col flex-auto p-6 bg-card shadow rounded-2xl overflow-hidden">
                                        <div class="flex flex-col flex-auto h-64 overflow-y-auto">
                                            <div class="h-full">
                                                <div class="flex-col w-full mt-2 px-1">
                                                    <div class="bg-teal-200">
                                                        <span class="pl-4 text-lg font-bold">Diagnosis: </span>
                                                    </div>
                                                    <div *ngFor="let d of diagnosis">
                                                        <div class="flex flex-row">
                                                            <div class="w-1/4 pl-4">{{d.icd_code}}</div>
                                                            <div class="w-full pl-4">{{d.icd_name}}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div *ngIf="!is_admit" class="w-full">
                                                    <div class="flex flex-col w-full mt-2 px-1">
                                                        <div class="bg-teal-200">
                                                            <span class="pl-4 text-lg font-bold">ข้อมูลยา: </span>
                                                        </div>
                                                        <div class="flex flex-row bg-green-100 p-1">
                                                            <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                                            <div class="w-1/2 font-bold">รายการยา</div>
                                                            <div class="w-1/2 font-bold">วิธีใช้</div>
                                                            <div class="w-1/4 font-bold">จำนวน</div>
                                                        </div>
                                                        <div *ngFor="let rx of drugs">
                                                            <div class="flex flex-row">
                                                                <div class="w-1/4 pl-4">{{rx.date_serv}} {{rx.time_serv}}</div>
                                                                <div class="w-1/2 ">{{rx.drug_name}}</div>
                                                                <div class="w-1/2">{{rx.drug_usage}}</div>
                                                                <div class="w-1/4">{{rx.qty}}</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="flex flex-col w-full  mt-2 px-1">
                                                        <div class="bg-teal-200">
                                                            <span class="pl-4 text-lg font-bold">ข้อมูลผลการตรวจห้องปฏิบัติการ:
                                                            </span>
                                                        </div>
                                                        <div class="flex flex-row  bg-yellow-100 p-1">
                                                            <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                                            <div class="w-1/4 font-bold">รายการ</div>
                                                            <div class="w-1/4 font-bold">ผล</div>
                                                            <div class="w-1/4 font-bold">Normal</div>
                                                        </div>
                                                        <div *ngFor="let l of labs">
                                                            <div class="flex flex-row">
                                                                <div class="w-1/4 pl-2">{{l.date_serv}} {{l.time_serv}}</div>
                                                                <div class="w-1/4">{{l.lab_name}}</div>
                                                                <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                                                <div class="w-1/4">{{l.standard_result}}</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="flex-col w-full mt-2 px-1">
                                                        <div class="bg-teal-200">
                                                            <span class="pl-4 text-lg font-bold">ข้อมูลการตรวจรังสี: </span>
                                                        </div>
                                                        <div class="flex flex-row  bg-blue-200 p-1">
                                                            <div class="w-1/2 pl-4">วันที่</div>
                                                            <div class="w-1/2">รายการ</div>
                                                        </div>
                                                        <div *ngFor="let x of xrays">
                                                            <div class="flex flex-row">
                                                                <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                                                <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="flex flex-col w-full mt-2 px-1">
                                                        <div class="bg-teal-200">
                                                            <span class="pl-4 text-lg font-bold">ข้อมูลหัตถการ: </span>
                                                        </div>
                                                        <div class="flex flex-row  bg-blue-200 p-1">
                                                            <div class="w-1/4 pl-4">วันเวลา</div>
                                                            <div class="w-1/4">รหัส</div>
                                                            <div class="w-1/2">รายการ</div>
                                                        </div>
                                                        <div *ngFor="let p of procedures">
                                                            <div class="flex flex-row">
                                                                <div class="w-1/4">{{p.start_date}} {{p.start_time}}</div>
                                                                <div class="w-1/4">{{p.procedure_code}}</div>
                                                                <div class="w-1/2">{{p.procedure_name}}</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div *ngIf="is_admit" class="w-full">
                                                    <mat-tab-group class="sm:px-2" mat-stretch-tabs="false"
                                                        [animationDuration]="'0'">
                                                        <mat-tab label="ยา">
                                                            <div class="flex flex-col w-full">
                                                                <div class="flex flex-row bg-green-100 p-1">
                                                                    <div class="w-1/4 pl-4 font-bold">วัน</div>
                                                                    <div class="w-1/4 pl-4 font-bold">เวลา</div>
                                                                    <div class="w-1/2 font-bold">รายการยา</div>
                                                                    <div class="w-1/2 font-bold">วิธีใช้</div>
                                                                    <div class="w-1/4 font-bold">จำนวน</div>
                                                                </div>
                                                                <div *ngFor="let rx of drugs">
                                                                    <div class="flex flex-row">
                                                                        <div class="w-1/4 pl-4">{{rx.date_serv}}</div>
                                                                        <div class="w-1/4">{{rx.time_serv}}</div>
                                                                        <div class="w-1/2">{{rx.drug_name}}</div>
                                                                        <div class="w-1/2">{{rx.drug_usage}}</div>
                                                                        <div class="w-1/4">{{rx.qty}}</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </mat-tab>
                                                        <mat-tab label="Lab">
                                                            <div class="flex flex-col w-full">
                                                                <div class="flex flex-row  bg-yellow-100 p-1">
                                                                    <div class="w-1/4 font-bold">วันที่</div>
                                                                    <div class="w-1/4 font-bold">เวลา</div>
                                                                    <div class="w-1/4 font-bold">รายการ</div>
                                                                    <div class="w-1/4 font-bold">ผล</div>
                                                                    <div class="w-1/4 font-bold">Normal</div>
                                                                </div>
                                                                <div *ngFor="let l of labs">
                                                                    <div class="flex flex-row">
                                                                        <div class="w-1/4">{{l.date_serv}}</div>
                                                                        <div class="w-1/4">{{l.time_serv}}</div>
                                                                        <div class="w-1/4">{{l.lab_name}}</div>
                                                                        <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                                                        <div class="w-1/4">{{l.standard_result}}</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </mat-tab>
                                                        <mat-tab label="หัตถการ">
                                                            <div class="flex flex-col w-full">
                                                                <div class="flex flex-row  bg-blue-200 p-1">
                                                                    <div class="w-1/2">วันที่</div>
                                                                    <div class="w-1/2">เวลา</div>
                                                                    <div class="w-1/2">รหัส</div>
                                                                    <div class="w-1/2">รายการ</div>
                                                                </div>
                                                                <div *ngFor="let p of procedures">
                                                                    <div class="flex flex-row">
                                                                        <div class="w-1/2">{{p.start_date}}</div>
                                                                        <div class="w-1/2">{{p.start_time}}</div>
                                                                        <div class="w-1/2">{{p.procedure_code}}</div>
                                                                        <div class="w-1/2">{{p.procedure_name}}</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </mat-tab>
                                                        <mat-tab label="X-Ray">
                                                            <div class="flex-col w-full mt-2 px-1">
                                                                <div class="flex flex-row  bg-blue-200 p-1">
                                                                    <div class="w-1/2">วันที่</div>
                                                                    <div class="w-1/2">รายการ</div>
                                                                </div>
                                                                <div *ngFor="let x of xrays">
                                                                    <div class="flex flex-row">
                                                                        <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                                                        <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </mat-tab>
                                                    </mat-tab-group>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

        </mat-drawer-content>
    </mat-drawer-container>
</div>
